With this update, everything now works as expected.

-Erik
This commit is contained in:
Eric Andersen 2002-04-26 22:01:43 +00:00
parent 085ba9f451
commit 8262508fc4
17 changed files with 79 additions and 29 deletions

View file

@ -1,2 +1,3 @@
UMlinux UMlinux
root_fs root_fs
build

1
sources/.cvsignore Normal file
View file

@ -0,0 +1 @@
dl

View file

@ -1,5 +1,5 @@
--- busybox/Config.h 6 Apr 2002 04:22:15 -0000 1.116 --- busybox/Config.h 6 Apr 2002 04:22:15 -0000 1.116
+++ busybox/Config.h 26 Apr 2002 10:54:28 -0000 +++ busybox/Config.h 26 Apr 2002 21:58:07 -0000
@@ -18,9 +18,9 @@ @@ -18,9 +18,9 @@
#define BB_CHROOT #define BB_CHROOT
#define BB_CHVT #define BB_CHVT
@ -21,24 +21,15 @@
//#define BB_DPKG //#define BB_DPKG
//#define BB_DPKG_DEB //#define BB_DPKG_DEB
//#define BB_DUTMP //#define BB_DUTMP
@@ -37,13 +37,13 @@ @@ -37,7 +37,7 @@
//#define BB_DUMPKMAP //#define BB_DUMPKMAP
#define BB_ECHO #define BB_ECHO
#define BB_ENV #define BB_ENV
-//#define BB_EXPR -//#define BB_EXPR
-//#define BB_FBSET
+#define BB_EXPR +#define BB_EXPR
+#define BB_FBSET //#define BB_FBSET
//#define BB_FDFLUSH //#define BB_FDFLUSH
#define BB_FIND #define BB_FIND
#define BB_FREE
-//#define BB_FREERAMDISK
-//#define BB_FSCK_MINIX
+#define BB_FREERAMDISK
+#define BB_FSCK_MINIX
//#define BB_GETOPT
#define BB_GREP
#define BB_GUNZIP
@@ -51,12 +51,12 @@ @@ -51,12 +51,12 @@
#define BB_HALT #define BB_HALT
#define BB_HEAD #define BB_HEAD
@ -55,7 +46,7 @@
#define BB_KILL #define BB_KILL
#define BB_KILLALL #define BB_KILLALL
#define BB_KLOGD #define BB_KLOGD
@@ -72,10 +72,10 @@ @@ -72,7 +72,7 @@
#define BB_LS #define BB_LS
#define BB_LSMOD #define BB_LSMOD
//#define BB_MAKEDEVS //#define BB_MAKEDEVS
@ -63,12 +54,8 @@
+#define BB_MD5SUM +#define BB_MD5SUM
#define BB_MKDIR #define BB_MKDIR
//#define BB_MKFIFO //#define BB_MKFIFO
-//#define BB_MKFS_MINIX //#define BB_MKFS_MINIX
+#define BB_MKFS_MINIX @@ -85,58 +85,58 @@
#define BB_MKNOD
#define BB_MKSWAP
//#define BB_MKTEMP
@@ -85,24 +85,24 @@
//#define BB_MSH //#define BB_MSH
//#define BB_MT //#define BB_MT
#define BB_MV #define BB_MV
@ -100,7 +87,12 @@
//#define BB_RPM2CPIO //#define BB_RPM2CPIO
#define BB_SED #define BB_SED
//#define BB_SETKEYCODES //#define BB_SETKEYCODES
@@ -114,29 +114,29 @@ #define BB_SLEEP
#define BB_SORT
//#define BB_STTY
-#define BB_SWAPONOFF
+//#define BB_SWAPONOFF
#define BB_SYNC
#define BB_SYSLOGD #define BB_SYSLOGD
#define BB_TAIL #define BB_TAIL
#define BB_TAR #define BB_TAR

View file

@ -26,6 +26,10 @@
#/dev/rtc c 640 0 0 10 135 0 0 - #/dev/rtc c 640 0 0 10 135 0 0 -
#/dev/fd b 640 0 0 2 0 0 0 1 #/dev/fd b 640 0 0 2 0 0 0 1
# #
# User-mode Linux stuff
/dev/ubda b 640 0 0 98 0 0 0 -
/dev/ubda b 640 0 0 98 1 1 1 15
#
# Raid device directories # Raid device directories
/dev/cciss d 755 0 0 - - - - - /dev/cciss d 755 0 0 - - - - -
/dev/ida d 755 0 0 - - - - - /dev/ida d 755 0 0 - - - - -

Binary file not shown.

View file

@ -1,6 +1,6 @@
# /etc/fstab: static file system information. # /etc/fstab: static file system information.
# #
# <file system> <mount pt> <type> <options> <dump> <pass> # <file system> <mount pt> <type> <options> <dump> <pass>
/dev/root / ext2 rw 0 1 /dev/ubda / ext2 defaults,rw 0 1
proc /proc proc defaults 0 0 proc /proc proc defaults 0 0
tmpfs /tmp tmpfs defaults 0 0 tmpfs /tmp tmpfs defaults 0 0

View file

@ -0,0 +1 @@
dev.null

View file

@ -0,0 +1 @@
127.0.0.1 localhost

View file

@ -4,6 +4,7 @@
# fsck, since we don't need it here... # fsck, since we don't need it here...
echo -n "Mounting local file systems: " echo -n "Mounting local file systems: "
/bin/mount / -o remount,rw > /dev/null 2>&1
/bin/mount -a > /dev/null 2>&1 /bin/mount -a > /dev/null 2>&1
if [ $? = 0 ] ; then if [ $? = 0 ] ; then
echo "ok" echo "ok"

View file

@ -0,0 +1,6 @@
#!/bin/sh
echo -n "Starting system log daemon: "
# start syslogging
/sbin/syslogd -m 0
echo "ok"

View file

@ -0,0 +1,44 @@
#! /bin/sh
#
# urandom This script saves the random seed between reboots.
# It is called from the boot, halt and reboot scripts.
#
# Version: @(#)urandom 1.33 22-Jun-1998 miquels@cistron.nl
#
[ -c /dev/urandom ] || exit 0
#. /etc/default/rcS
case "$1" in
start|"")
if [ "$VERBOSE" != no ]
then
echo -n "Initializing random number generator... "
fi
# Load and then save 512 bytes,
# which is the size of the entropy pool
if [ -f /etc/random-seed ]
then
cat /etc/random-seed >/dev/urandom
fi
rm -f /etc/random-seed
umask 077
dd if=/dev/urandom of=/etc/random-seed count=1 \
>/dev/null 2>&1 || echo "urandom start: failed."
umask 022
[ "$VERBOSE" != no ] && echo "done."
;;
stop)
# Carry a random seed from shut-down to start-up;
# see documentation in linux/drivers/char/random.c
[ "$VERBOSE" != no ] && echo -n "Saving random seed... "
umask 077
dd if=/dev/urandom of=/etc/random-seed count=1 \
>/dev/null 2>&1 || echo "urandom stop: failed."
[ "$VERBOSE" != no ] && echo "done."
;;
*)
echo "Usage: urandom {start|stop}" >&2
exit 1
;;
esac

View file

@ -4,4 +4,4 @@
ifconfig lo 127.0.0.1 up ifconfig lo 127.0.0.1 up
route add -net 127.0.0.0 netmask 255.0.0.0 lo route add -net 127.0.0.0 netmask 255.0.0.0 lo
hostname dev.null hostname -F /etc/hostname

View file

@ -24,10 +24,9 @@ tty2::respawn:/sbin/getty 38400 tty2
#ttyS0::respawn:/sbin/getty -L ttyS0 115200 vt100 #ttyS0::respawn:/sbin/getty -L ttyS0 115200 vt100
# Logging junk # Logging junk
tty2::once:/bin/touch /var/log/messages tty3::once:/bin/touch /var/log/messages
tty3::respawn:/usr/bin/tail -f /var/log/messages tty3::respawn:/usr/bin/tail -f /var/log/messages
tty4::once:/bin/dmesg ::respawn:/sbin/klogd -n
tty4::respawn:/usr/bin/tail -f /proc/kmsg
# Stuff to do for the 3-finger salute # Stuff to do for the 3-finger salute
::ctrlaltdel:/sbin/reboot ::ctrlaltdel:/sbin/reboot

View file

@ -1,5 +1,5 @@
# /etc/protocols: # /etc/protocols:
# $Id: protocols,v 1.2 2002/04/26 11:45:52 andersen Exp $ # $Id: protocols,v 1.3 2002/04/26 22:01:41 andersen Exp $
# #
# Internet (IP) protocols # Internet (IP) protocols
# #

Binary file not shown.

View file

@ -1,2 +1,2 @@
domain dev.null domain dev.null
nameserver 10.0.0.1 nameserver 127.0.0.1

View file

@ -1,5 +1,5 @@
# /etc/services: # /etc/services:
# $Id: services,v 1.2 2002/04/26 11:45:52 andersen Exp $ # $Id: services,v 1.3 2002/04/26 22:01:41 andersen Exp $
# #
# Network services, Internet style # Network services, Internet style
# #